Subject: Re: [Perl] source 'typemap' (only) can't be found
From: [email-masked]
To: Sisyphus <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Dec 2007 13:06:46 +0100 (CET)
List-Id: <cygwin.cygwin.com>

Hi Rob,

Permissions? I'm surprised that all files on the listing below have perms 000. Try to use chmod to add at least permission for reading.

Regards,
Roman

> ------------ Původní zpráva ------------
> Od: Sisyphus <[email-masked]>
> Předmět: [Perl] source 'typemap' (only) can't be found
> Datum: 05.12.2007 12:31:12
> ----------------------------------------
> Hi,
>
> I have a perl source distro  - the source files having been written using
> basic Win32 apps (like wordpad and notepad) :
>
> ----------------------------------------
> Rob@desktop2 /cygdrive/c/_32/working/math-gmpz/Math-GMPz-0.24
> $ ls -l
> total 232
> ----------+ 1 Rob None   1361 Dec  5 21:06 CHANGES
> ----------+ 1 Rob None  52630 Dec  5 21:06 GMPz.pm
> ----------+ 1 Rob None 155272 Dec  5 21:21 GMPz.xs
> ----------+ 1 Rob None   1099 Dec  5 21:21 INLINE.h
> ----------+ 1 Rob None    340 Dec  1 23:36 MANIFEST
> ----------+ 1 Rob None   2085 Dec  2 10:57 Makefile.PL
> ----------+ 1 Rob None   2880 Nov  3 20:51 README
> d---------+ 2 Rob None   4096 Dec  1 23:37 t
> ----------+ 1 Rob None    299 Mar 14  2007 typemap
>
> Rob@desktop2 /cygdrive/c/_32/working/math-gmpz/Math-GMPz-0.24
> $ perl Makefile.PL
> .
> < some custom stuff .. all as expected>
> .
> Checking if your kit is complete...
> Looks good
> Writing Makefile for Math::GMPz
>
> Rob@desktop2 /cygdrive/c/_32/working/math-gmpz/Math-GMPz-0.24
> $ make
> cp GMPz.pm blib/lib/Math/GMPz.pm
> /usr/bin/perl.exe /usr/lib/perl5/5.8/ExtUtils/xsubpp  -typemap
> /usr/lib/perl5/5.
> 8/ExtUtils/typemap -typemap typemap  GMPz.xs > GMPz.xsc && mv GMPz.xsc
> GMPz.c
> Can't find typemap in /cygdrive/c/_32/working/math-gmpz/Math-GMPz-0.24
> make: *** [GMPz.c] Error 255
> ----------------------------------------
>
> I do not understand why 'typemap' cannot be found. It has the same
> permissions as GMPz.xs - which was apparently found since GMPz.xsc (though
> not GMPz.c) is created. (Hmmm ... on closer inspection, GMPz.xsc is an empty
> file.)
>
> It also has the same permissions as all of the other source files - and
> they, too, were found. (Otherwise the 'perl Makefile.PL' step would have
> failed.)
>
> Building from the same source (in the same directory) using any one of a
> number of "native" Win32 perls works without a hitch.
>
> My 'perl -V' for cygwin is supplied below.
>
> Cheers,
> Rob
>
> $ perl -V
> Summary of my perl5 (revision 5 version 8 subversion 7) configuration:
>   Platform:
>     osname=cygwin, osvers=1.5.18(0.13242),
> archname=cygwin-thread-multi-64int
>     uname='cygwin_nt-5.1 inspiron 1.5.18(0.13242) 2005-07-02 20:30 i686
> unknown
> unknown cygwin '
>     config_args='-de -Dmksymlinks -Duse64bitint -Dusethreads -Uusemymalloc
> -Dopt
> imize=-O3 -Dman3ext=3pm -Dusesitecustomize'
>     hint=recommended, useposix=true, d_sigaction=define
>     usethreads=define use5005threads=undef useithreads=define
> usemultiplicity=de
> fine
>     useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
>     use64bitint=define use64bitall=undef uselongdouble=undef
>     usemymalloc=n, bincompat5005=undef
>   Compiler:
>     cc='gcc', ccflags
> ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -pipe -I/usr
> /local/include',
>     optimize='-O3',
>     cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -pipe
> -I/usr/local/inc
> lude'
>     ccversion='', gccversion='3.4.4 (cygming special) (gdc 0.12, using dmd
> 0.125
> )', gccosandvers=''
>     intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678
>     d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
>     ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t',
> lsee
> ksize=8
>     alignbytes=8, prototype=define
>   Linker and Libraries:
>     ld='ld2', ldflags =' -s -L/usr/local/lib'
>     libpth=/usr/local/lib /lib /usr/lib
>     libs=-lgdbm -ldb -lcrypt -lgdbm_compat
>     perllibs=-lcrypt -lgdbm_compat
>     libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl.a
>     gnulibc_version=''
>   Dynamic Linking:
>     dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' -s'
>     cccdlflags=' ', lddlflags=' -s -L/usr/local/lib'
>
>
> Characteristics of this binary (from libperl):
>   Compile-time options: MULTIPLICITY USE_ITHREADS USE_64_BIT_INT
>                         USE_LARGE_FILES USE_SITECUSTOMIZE
>                         PERL_IMPLICIT_CONTEXT
>   Locally applied patches:
>         SPRINTF0 - fixes for sprintf formatting issues - CVE-2005-3962
>   Built under cygwin
>   Compiled at Dec 30 2005 02:44:25
>   %ENV:
>     CYGWIN=""
>   @INC:
>     /usr/lib/perl5/5.8/cygwin
>     /usr/lib/perl5/5.8
>     /usr/lib/perl5/site_perl/5.8/cygwin
>     /usr/lib/perl5/site_perl/5.8
>     /usr/lib/perl5/site_perl/5.8/cygwin
>     /usr/lib/perl5/site_perl/5.8
>     /usr/lib/perl5/vendor_perl/5.8/cygwin
>     /usr/lib/perl5/vendor_perl/5.8
>     /usr/lib/perl5/vendor_perl/5.8/cygwin
>     /usr/lib/perl5/vendor_perl/5.8
>     .
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/